## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor
Class TriggerSourceUpdater

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.updater.ProceduralObjectSourceUpdater
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.TriggerSourceUpdater

All Implemented Interfaces:
  IGenericDdlConstants

Direct Known Subclasses:
  ASATriggerSourceUpdater

    public class TriggerSourceUpdater

extends ProceduralObjectSourceUpdater
implements IGenericDdlConstants

Author:
  Hui Cao

Field Summary

Fields inherited from interface org.eclipse.datatools.enablement.sybase.IGenericDdlConstants

`ADD, AFTER, ALIAS, ALTER, AS, BEFORE, BLOB, CASCADE, CASCADED, CHECK, CLOB, COMMA, COMPARISONS, CONSTRAINT, CREATE, DATALINK, DBCLOB, DEFAULT, DEFERRABLE, DEFERRED, DELETE, DOT, DOUBLE_QUOTE, DROP, EACH, EMPTY_STRING, FOR, FOREIGN_KEY, FUNCTION, INDEX, INITIALLY, INSERT, INSTEAD_OF, LEFT_PARENTHESIS, LOCAL, LONG, MODIFY, NEW, NEW_TABLE, NEWLINE, NO, NOT, NULL, OF, OLD, OLD_TABLE, ON, OPTION, PRIMARY_KEY, PROCEDURE, REFERENCES, REFERENCING, RENAME, RESTRICT, RIGHT_PARENTHESIS, ROW, SET, SINGLE_QUOTE, SPACE, STATEMENT, TAB, TABLE, TRIGGER, TYPE, UNIQUE, UPDATE, VARCHAR, VARGRAPHIC, VIEW, WHEN, WITH`

Constructor Summary
`TriggerSourceUpdater(Trigger trigger, DatabaseDefinition definition)`

Method Summary
`java.lang.String` `getBody()`
`void` `setBody(java.lang.String body)`
`boolean` `updateEvents()` Updates the trigger events

Methods inherited from class org.eclipse.datatools.sqltools.sql.updater.ProceduralObjectSourceUpdater
`getTestMode, setTestMode, updateName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TriggerSourceUpdater

    public TriggerSourceUpdater(Trigger trigger,
                                DatabaseDefinition definition)

Method Detail

### getBody

    public java.lang.String getBody()

  Specified by:
    `getBody` in class `ProceduralObjectSourceUpdater`

### setBody

    public void setBody(java.lang.String body)

  Specified by:
    `setBody` in class `ProceduralObjectSourceUpdater`

### updateEvents

    public boolean updateEvents()

  Updates the trigger events

  Returns: